vos apropos                AFS Commands             vos apropos


NAME

   vos apropos -- show each help entry containing keyword.


   vos apropos  -topic <help string>  [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   vos ap  -t <help string>  [-h]

DESCRIPTION

   Displays  the  first  line  of  the  help  entry for any vos
   command  that  has  help  string  in  its  name   or   short
   description.

ARGUMENTS

   -topic          specifies  the keyword string to search for.
                   If it is more than a single  word,  surround
                   it  with  double quotes or other delimiters.
                   Type all help strings for  vos  commands  in
                   all   lowercase  letters,  except  the  word
                   "VLDB."

   -help           prints the online help for this command.  Do
                   not  provide  any  other  arguments or flags
                   with this one.    See  section  8.3  in  the
                   Reference Manual for more details.

OUTPUT

   The  first  line  of a command's online help entry names the
   command and briefly describes what it does.  The vos apropos
   command  displays  that first line for any vos command where
   help string is part of the command name or first line.

   To see the remaining lines in a help  entry,  which  provide
   the  command's  alias  (if any) and syntax, use the vos help
   command.

EXAMPLE

   The following lists all vos  commands  that  have  the  word
   "lock" in their operation code or short online description.

       % vos ap lock
       lock: lock VLDB entry for a volume
       unlock: release lock on VLDB entry for a volume
       unlockvldb: unlock all the locked entries in the VLD



PRIVILEGE REQUIRED

   None.

MORE INFORMATION

   vos help
